using System.ComponentModel.DataAnnotations;

namespace WCS.Entity.Protocol.BCR
{
    /// <summary>
    ///  满轮主线读取
    /// </summary>
    public interface IBCR83 : IProtocol
    {
        public short Index { get; set; }
       
        [StringLength(254)]
        public string BcrCode { get; set; }

        [StringLength(254)]
        public string BcrCode1 { get; set; }

        [StringLength(254)]
        public string BcrCode2 { get; set; }

        [StringLength(254)]
        public string BcrCode3 { get; set; }

        [StringLength(254)]
        public string BcrCode4 { get; set; }

        [StringLength(254)]
        public string BcrCode5 { get; set; }

        [StringLength(254)]
        public string BcrCode6 { get; set; }

        [StringLength(254)]
        public string BcrCode7 { get; set; }

        [StringLength(254)]
        public string BcrCode8 { get; set; }

        [StringLength(254)]
        public string BcrCode9 { get; set; }

        [StringLength(254)]
        public string BcrCode10 { get; set; }
    }
}
